=== debian/changelog ===
awesome (3.4.13-1) unstable; urgency=low

  * Enhance description in debian/control (Closes: #680924)
    (Thanks to Justin B Rye)
  * New upstream release
    + Fix focus regression (Closes: #681364)

 -- Julien Danjou <acid@debian.org>  Sun, 15 Jul 2012 15:51:10 +0200

awesome (3.4.12-2) unstable; urgency=low

  * Don't build depends on libxcb-ewmh-dev

 -- Julien Danjou <acid@debian.org>  Wed, 13 Jun 2012 10:56:53 +0200

awesome (3.4.12-1) unstable; urgency=low

  * New upstream release.
    + Fix GLib compilation (Closes: #665508)
    + Fix prompt history order (Closes: #661669)
    + Xli is no more marked as broken (Closes: #651505)
  * Bump standard version
  * Tweak debian/rules to specify cmake build system, update to dh 9

 -- Julien Danjou <acid@debian.org>  Mon, 11 Jun 2012 15:05:38 +0200
