=== debian/watch ===
version=3
http://awesome.naquadah.org/download/ awesome-(.*)\.tar\.gz
