## awesome 3.4.14

=== debian/changelog ===
awesome (3.4.14-1) unstable; urgency=low

  * New uptream release

 -- Julien Danjou <acid@debian.org>  Tue, 25 Dec 2012 18:58:38 +0100
