=== debian/changelog ===
awesome (3.4.15-1ubuntu1) trusty; urgency=low

  * debian/patches/remove-nodisplay-from-desktop-file.patch: Removes
    problematic "NoDisplay=true" from desktop file.  Cherry picked from
    upstream (LP: #1094811)

 -- Adam Gandelman <adamg@ubuntu.com>  Wed, 22 Jan 2014 00:19:01 -0800

awesome (3.4.15-1) unstable; urgency=low

  * New upstream release (Closes: #700607)

 -- Julien Danjou <acid@debian.org>  Sun, 17 Feb 2013 10:44:54 +0100
