=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -O--buildsystem=cmake -- -DSYSCONFDIR=/etc

override_dh_installwm:
	dh_installwm --priority=20 awesome
