## awesome 3.5.5

=== debian/changelog ===
awesome (3.5.5-1) experimental; urgency=low

  * New upstream release. Closes: #743507.
    + debian/control: Bump lua-lgi Depends to >= 0.7.0.

 -- Arnaud Fontaine <arnau@debian.org>  Wed, 11 Jun 2014 11:14:11 +0900

awesome (3.5.2-1) experimental; urgency=low

  * New upstream release. Closes: #731097.
    + debian/control:
      - libxcb-image0-dev B-D is not needed anymore as cairo is now used
        instead, but keep it until #732711 is fixed.
      - Drop libxcursor-dev and libx11-xcb-dev B-D replaced by
        libxcb-cursor-dev >= 0.1.0-2 because of #723750.
  * debian/control:
    + Bump Standards-Version to 3.9.5. No changes needed.
    + Since 3.5, glib is used instead of libev, but libglib2.0-dev B-D was
      pulled implicitly by another B-D and now seems to be required.
    + Build-Depends on lua-ldoc as it is now available in the archive.

 -- Arnaud Fontaine <arnau@debian.org>  Fri, 20 Dec 2013 15:57:46 +0100

awesome (3.5.1-1) experimental; urgency=low

  * New upstream release. Closes: #697428.
    + debian/NEWS: Inform users that the configuration has changed.
    + debian/control:
      - Drop luadoc, libpango1.0-dev, libev-dev, libimlib2-dev, and gperf.
      - Add libgdk-pixbuf2.0-dev in Build-Depends.
      - Add lua-lgi, gir1.2-freedesktop and gir1.2-pango-1.0 to Depends.
        - Disable build time check of .typelib as it is used only at runtime.
    + debian/copyright: update.
    + debian/patches/*: refresh.
  * debian/control:
    + Bump Standards-Version to 3.9.4. No changes needed.
    + Update Vcs-Git and Vcs-Browser as it is now in collab-maint.
  * Add myself as Uploaders, acknowledged by Julien Danjou.

 -- Arnaud Fontaine <arnau@debian.org>  Tue, 04 Jun 2013 18:48:21 +0900
