=== debian/control ===
Source: awesome
Section: x11
Priority: optional
Maintainer: Julien Danjou <acid@debian.org>
Uploaders: Arnaud Fontaine <arnau@debian.org>
Build-Depends: debhelper (>= 9),
  libcairo2-dev,
  xmlto,
  asciidoc,
  cmake (>= 2.6.0),
  lua5.1,
  lua-ldoc,
  libxcb-xtest0-dev,
  libxcb-icccm4-dev (>= 0.3.8),
  libxcb-randr0-dev (>= 0.3.0),
  libxcb-keysyms1-dev (>= 0.3.4),
  libxcb-xinerama0-dev,
  liblua5.1-dev,
  libdbus-1-dev,
  libxdg-basedir-dev (>= 1.0.0),
  libstartup-notification0-dev (>= 0.10),
  imagemagick,
  libxcb1-dev (>= 1.6),
  libxcb-shape0-dev,
  libxcb-util0-dev,
  libxcb-cursor-dev (>= 0.1.0-2),
  libgdk-pixbuf2.0-dev,
  libglib2.0-dev,
# See #732711
  libxcb-image0-dev
Standards-Version: 3.9.5
Homepage: http://awesome.naquadah.org
Vcs-Git: git://anonscm.debian.org/collab-maint/awesome.git
Vcs-Browser: http://anonscm.debian.org/git/collab-maint/awesome.git

Package: awesome
Architecture: any
Recommends: x11-xserver-utils, rlwrap, feh
Depends: ${shlibs:Depends},
  ${misc:Depends},
  menu,
  dbus-x11,
  lua-lgi (>= 0.7.0),
  gir1.2-freedesktop,
  gir1.2-pango-1.0
Provides: x-window-manager
Description: highly configurable X window manager
 awesome manages windows dynamically in floating or tiled layouts. It is
 primarily targeted at power users, developers, and all those dealing with
 everyday computing tasks and looking for fine-grained control over their
 graphical environment.
 .
 It is highly extensible and scriptable via the Lua programming language,
 providing an easy-to-use and very well documented API to configure its
 behavior.
 .
 awesome uses tags instead of workspaces, which gives better flexibility
 in displaying windows, and can be entirely keyboard-driven, not needing a
 mouse. It also supports multi-headed configurations; uses XCB instead of
 Xlib for better performance; implements many freedesktop standards; and
 can be controlled over D-Bus from awesome-client.
