## awesome 3.5.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -21,8 +21,6 @@
     ${AWESOME_REQUIRED_INCLUDE_DIRS}
     ${AWESOME_OPTIONAL_INCLUDE_DIRS})
 
-file(GLOB_RECURSE AWE_LUA_FILES ${BUILD_DIR}/lib/*.lua ${BUILD_DIR}/luadoc/*.lua)
-
 set(AWE_CONF_FILE_DEFAULT ${BUILD_DIR}/awesomerc.lua)
 set(AWE_CONF_FILE rc.lua)
 
@@ -37,62 +35,61 @@
 
 set(AWE_SRCS
     ${SOURCE_DIR}/awesome.c
-    ${SOURCE_DIR}/client.c
+    ${SOURCE_DIR}/banning.c
+    ${SOURCE_DIR}/color.c
+    ${SOURCE_DIR}/dbus.c
+    ${SOURCE_DIR}/draw.c
+    ${SOURCE_DIR}/event.c
+    ${SOURCE_DIR}/ewmh.c
+    ${SOURCE_DIR}/keygrabber.c
+    ${SOURCE_DIR}/keyresolv.c
+    ${SOURCE_DIR}/luaa.c
+    ${SOURCE_DIR}/mouse.c
+    ${SOURCE_DIR}/mousegrabber.c
+    ${SOURCE_DIR}/property.c
+    ${SOURCE_DIR}/root.c
+    ${SOURCE_DIR}/screen.c
+    ${SOURCE_DIR}/selection.c
+    ${SOURCE_DIR}/spawn.c
+    ${SOURCE_DIR}/stack.c
     ${SOURCE_DIR}/strut.c
-    ${SOURCE_DIR}/dbus.c
-    ${SOURCE_DIR}/root.c
-    ${SOURCE_DIR}/event.c
-    ${SOURCE_DIR}/property.c
-    ${SOURCE_DIR}/ewmh.c
-    ${SOURCE_DIR}/key.c
-    ${SOURCE_DIR}/keygrabber.c
-    ${SOURCE_DIR}/mousegrabber.c
-    ${SOURCE_DIR}/banning.c
-    ${SOURCE_DIR}/luaa.c
-    ${SOURCE_DIR}/spawn.c
-    ${SOURCE_DIR}/hooks.c
-    ${SOURCE_DIR}/mouse.c
-    ${SOURCE_DIR}/button.c
-    ${SOURCE_DIR}/screen.c
-    ${SOURCE_DIR}/stack.c
-    ${SOURCE_DIR}/selection.c
-    ${SOURCE_DIR}/wibox.c
     ${SOURCE_DIR}/systray.c
-    ${SOURCE_DIR}/tag.c
-    ${SOURCE_DIR}/titlebar.c
-    ${SOURCE_DIR}/widget.c
-    ${SOURCE_DIR}/window.c
-    ${SOURCE_DIR}/image.c
-    ${SOURCE_DIR}/draw.c
-    ${SOURCE_DIR}/font.c
-    ${SOURCE_DIR}/color.c
-    ${SOURCE_DIR}/timer.c
+    ${SOURCE_DIR}/xwindow.c
+    ${SOURCE_DIR}/common/atoms.c
+    ${SOURCE_DIR}/common/backtrace.c
     ${SOURCE_DIR}/common/buffer.c
-    ${SOURCE_DIR}/common/atoms.c
+    ${SOURCE_DIR}/common/luaclass.c
+    ${SOURCE_DIR}/common/lualib.c
+    ${SOURCE_DIR}/common/luaobject.c
     ${SOURCE_DIR}/common/util.c
     ${SOURCE_DIR}/common/version.c
+    ${SOURCE_DIR}/common/xcursor.c
     ${SOURCE_DIR}/common/xembed.c
     ${SOURCE_DIR}/common/xutil.c
-    ${SOURCE_DIR}/common/xcursor.c
-    ${SOURCE_DIR}/common/backtrace.c
-    ${SOURCE_DIR}/common/luaobject.c
-    ${SOURCE_DIR}/common/luaclass.c
-    ${SOURCE_DIR}/widgets/graph.c
-    ${SOURCE_DIR}/widgets/progressbar.c
-    ${SOURCE_DIR}/widgets/textbox.c
-    ${SOURCE_DIR}/widgets/systray.c
-    ${SOURCE_DIR}/widgets/imagebox.c)
+    ${SOURCE_DIR}/objects/button.c
+    ${SOURCE_DIR}/objects/client.c
+    ${SOURCE_DIR}/objects/drawable.c
+    ${SOURCE_DIR}/objects/drawin.c
+    ${SOURCE_DIR}/objects/key.c
+    ${SOURCE_DIR}/objects/tag.c
+    ${SOURCE_DIR}/objects/timer.c
+    ${SOURCE_DIR}/objects/window.c)
 
 set(AWE_MAN_SRCS
     ${SOURCE_DIR}/manpages/awesome.1.txt
-    ${SOURCE_DIR}/manpages/awsetbg.1.txt
     ${SOURCE_DIR}/manpages/awesome-client.1.txt
     ${SOURCE_DIR}/manpages/awesomerc.5.txt)
 set(AWE_MAN_LANGS it es fr de ru)
 
+# Don't strip RPATH if compiling on Solaris
+if (${CMAKE_SYSTEM_NAME} MATCHES "SunOS")
+    set(CMAKE_SKIP_BUILD_RPATH FALSE)
+    set(CMAKE_BUILD_WITH_INSTALL_RPATH FALSE)
+    set(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
+endif()
+
 add_executable(${PROJECT_AWE_NAME}
-    ${AWE_SRCS}
-    ${BUILD_DIR}/common/tokenize.c)
+    ${AWE_SRCS})
 
 # FreeBSD requires dynamic linking
 if(${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD")
@@ -105,6 +102,10 @@
     ${AWESOME_COMMON_REQUIRED_LDFLAGS}
     ${AWESOME_REQUIRED_LDFLAGS}
     ${AWESOME_OPTIONAL_LDFLAGS})
+
+# check for lgi and the needed gobject introspection files
+add_custom_target(lgi-check ALL
+    COMMAND ${SOURCE_DIR}/build-utils/lgi-check.sh)
 
 # atoms
 file(MAKE_DIRECTORY ${BUILD_DIR}/common)
@@ -126,30 +127,9 @@
     COMMENT "Generating atoms-intern.h"
     VERBATIM)
 
-# gperf
-add_custom_command(
-    COMMAND ${SOURCE_DIR}/build-utils/gperf.sh
-    ARGS    ${SOURCE_DIR}/common/tokenize.gperf
-            ${BUILD_DIR}/common/tokenize.h
-    OUTPUT  ${BUILD_DIR}/common/tokenize.h
-    DEPENDS ${SOURCE_DIR}/common/tokenize.gperf
-            ${SOURCE_DIR}/build-utils/gperf.sh
-    COMMENT "Generating common/tokenize.h")
-
-add_custom_command(
-    COMMAND ${SOURCE_DIR}/build-utils/gperf.sh
-    ARGS    ${SOURCE_DIR}/common/tokenize.gperf
-            ${BUILD_DIR}/common/tokenize.c
-    OUTPUT  ${BUILD_DIR}/common/tokenize.c
-    DEPENDS ${SOURCE_DIR}/common/tokenize.gperf
-            ${SOURCE_DIR}/build-utils/gperf.sh
-    COMMENT "Generating common/tokenize.c")
-
 add_custom_target(generated_sources
     DEPENDS ${BUILD_DIR}/common/atoms-intern.h
-            ${BUILD_DIR}/common/atoms-extern.h
-            ${BUILD_DIR}/common/tokenize.c
-            ${BUILD_DIR}/common/tokenize.h)
+            ${BUILD_DIR}/common/atoms-extern.h)
 
 # Default theme directory
 file(MAKE_DIRECTORY ${BUILD_DIR}/themes/default)
@@ -252,24 +232,15 @@
 # }}}
 
 # {{{ Lua API Documentation
-if(GENERATE_LUADOC)
-
+if(GENERATE_DOC)
     if(NOT BUILD_DIR STREQUAL SOURCE_DIR)
         file(MAKE_DIRECTORY ${BUILD_DIR}/lib)
     endif()
 
-    set(luadoc_c_srcs "")
-
-    # Generate documentation of lib//0lua
-    file(GLOB_RECURSE lua_lib_files ${BUILD_DIR}/lib/*.lua
-        ${SOURCE_DIR}/luadoc/*.lua)
-    foreach(filename ${lua_lib_files})
-        file(RELATIVE_PATH filename ${BUILD_DIR} ${filename})
-        set(luadoc_srcs ${luadoc_srcs} ${filename})
-    endforeach()
-
-    add_custom_target(luadoc ALL
-        COMMAND ${LUADOC_EXECUTABLE} ${luadoc_srcs} -d ${BUILD_DIR}/luadoc --nofiles
+    file(GLOB_RECURSE AWE_LUA_FILES ${BUILD_DIR}/lib/*.lua ${BUILD_DIR}/luadoc/*.lua)
+
+    add_custom_target(ldoc ALL
+        COMMAND ${LDOC_EXECUTABLE} .
         WORKING_DIRECTORY ${BUILD_DIR}
         DEPENDS ${AWE_LUA_FILES})
 endif()
@@ -305,7 +276,7 @@
 foreach(icon ${ALL_ICONS})
     # Make unfocused icons translucent
     a_icon_convert("_focus" "_normal" ${icon}
-        -gamma 0.6 -channel A -evaluate Multiply 0.4)
+        -colorspace rgb -gamma 0.6 -channel A -evaluate Multiply 0.4)
 endforeach()
 
 foreach(icon ${ALL_ICONS})
@@ -327,7 +298,6 @@
 
 # {{{ Installation
 install(TARGETS ${PROJECT_AWE_NAME} RUNTIME DESTINATION bin)
-install(FILES "utils/awsetbg" DESTINATION bin PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)
 install(FILES "utils/awesome-client" DESTINATION bin PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)
 install(DIRECTORY ${BUILD_DIR}/lib DESTINATION ${AWESOME_DATA_PATH}
     PATTERN "*.in" EXCLUDE)
@@ -349,8 +319,8 @@
     PATTERN "*.in" EXCLUDE)
 install(FILES ${AWE_DOC_FILES} DESTINATION ${AWESOME_DOC_PATH})
 install(FILES "awesome.desktop" DESTINATION ${AWESOME_XSESSION_PATH})
-if(GENERATE_LUADOC)
-    install(DIRECTORY ${BUILD_DIR}/luadoc DESTINATION ${AWESOME_DOC_PATH})
+if(GENERATE_DOC)
+    install(DIRECTORY ${BUILD_DIR}/doc DESTINATION ${AWESOME_DOC_PATH})
 endif()
 # }}}
