=== debian/changelog ===
awesome (3.5.6-1build1) wily; urgency=medium

  * No-change rebuild for libxcb-util.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 01 Sep 2015 11:09:33 +0000

awesome (3.5.6-1) unstable; urgency=medium

  * New upstream release and upload to unstable.
    Closes: #781736, #680390, #701514, #589226.
  * Add debian/patches/Prevent_clients_from_being_lost_on_RANRD_changes.patch.
    Closes: #736314.
  * debian/55awesome-javaworkaround: Fix typo (x-session-manager ->
    x-window-manager). Thanks to Igor Bensemann and Julian Wollrath.
    Closes: #600995.
  * d/control:
    + Bump Standards-Version to 3.9.6. No change needed.
    + Drop Build-Depends on libxcb-image0-dev since #732711 has been fixed.

 -- Arnaud Fontaine <arnau@debian.org>  Fri, 05 Jun 2015 13:44:11 +0900
