## awesome 3.5.9

=== debian/changelog ===
awesome (3.5.9-1) unstable; urgency=medium

  * New upstream release. Closes: #817122.
  * d/control: Bump Standards-Versions to 3.9.7. No change needed.
  * dbgsym are now built automatically (debhelper > 9.20151219).
    Closes: #532383.

 -- Arnaud Fontaine <arnau@debian.org>  Sun, 27 Mar 2016 11:20:44 +0900
