=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
   libxcb-cursor-dev (>= 0.1.0-2),
   libgdk-pixbuf2.0-dev,
   libglib2.0-dev,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: http://awesome.naquadah.org
 Vcs-Git: git://anonscm.debian.org/collab-maint/awesome.git
 Vcs-Browser: http://anonscm.debian.org/git/collab-maint/awesome.git
